<div id="personal-infomation" scroll-spy [option]="option">

  <div class="input__search--page-name">
    <employee-data-picker
      [scope]="scope"
      [functionCode]="functionCode"
      [ngModel]="" status="ACTIVE"
      (selectedChange)="searchStaff($event)"
      [showEmpTypeSelect]="true"
      [mbCanText]="true"
    ></employee-data-picker>
  </div>

  <div nz-row [nzGutter]="[0, 20]" class="personal-informations__panel">
    <div nz-col nzSpan="24">
      <div class="content__item content__item--border bg__content--default">
        <app-brief-description (isEmpInfoReady)="onEmpInfoReady($event)"></app-brief-description>
      </div>
    </div>
    <div nz-col nzSpan="24">
      <div class="content__item content__item--border bg__content--default">
        <mb-scroll-tabs [isShowInfoChange]="true" [sticky]="true" [tabs]="scrollTabs"></mb-scroll-tabs>
        <mb-collapse #collapse [mbPanels]="panels" [mbExtra]="extra" mbDivider="#E8EAF6"></mb-collapse>
        <ng-template #extra let-panel>
          <div class="extra__action" *ngIf="checkShowAction(panel)">
            <mb-input-text
              *ngIf="checkExtraMode(panel, 'SEARCH')"
              (click)="$event.stopPropagation();"
              (input)="onSearchChange(panel, $event.target['value'])"
              [ngModel]=""
              [mbShowFlexEnd]="false"
              mbPrefixIcon="search"
            ></mb-input-text>
            <mb-button
              *ngIf="checkExtraMode(panel, 'EDIT_MODAL')"
              (click)="$event.stopPropagation(); openEditModal(panel,'EDIT_MODAL')"
              class="ant__collapse__extra"
              mbButtonBgColor="#E9EAFF" mbButtonTextColor="#141ED2" mbButtonBorderColor="#7F85F3"
              mbPrefixIcon="far fa-pencil-alt" mbButtonIconType="AWESOME" mbButtonSize="MEDIUM"
            ></mb-button>
            <mb-button
              *ngIf="checkExtraMode(panel, 'ADD_MODAL')"
              (click)="$event.stopPropagation(); openAddModal(panel, 'ADD_MODAL')"
              class="ant__collapse__extra" mbButtonBgColor="#E9EAFF"
              mbButtonTextColor="#141ED2" mbButtonBorderColor="#7F85F3" mbPrefixIcon="fas fa-plus"
              mbButtonIconType="AWESOME" mbButtonSize="MEDIUM"
            ></mb-button>
          </div>
        </ng-template>
        <ng-template #footerTmpl>
          <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="cancel()" mbButtonBgColor="transparent"
                     mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
          <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="save()" mbButtonAvailableStyle="PRIMARY"
                     mbButtonText="{{'common.button.save' | translate}}"></mb-button>
        </ng-template>
      </div>
    </div>
  </div>
</div>

